POST api/SurveyMonkeyIntegration/PostMSMQuestionnaireReminder
Request Information
URI Parameters
None.
Body Parameters
MEQuestionnaireSurveyMonkeyDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 20 |
|
| EmployeeEmail | string |
String length: inclusive between 0 and 150 |
|
| CaseNo | integer |
None. |
|
| SurveyId | string |
String length: inclusive between 0 and 200 |
|
| CollectorId | string |
String length: inclusive between 0 and 200 |
|
| CollectorType | string |
String length: inclusive between 0 and 100 |
|
| SurveyURL | string |
String length: inclusive between 0 and 200 |
|
| MessageId | string |
String length: inclusive between 0 and 200 |
|
| ReceiptId | string |
String length: inclusive between 0 and 200 |
|
| IsSent | boolean |
None. |
|
| SentDateTIme | date |
None. |
|
| ValidFlag | boolean |
None. |
|
| UserName | string |
String length: inclusive between 0 and 61 |
|
| SurveyLink | string |
String length: inclusive between 0 and 200 |
|
| SurveyCode | string |
String length: inclusive between 0 and 100 |
|
| IsSendEmail | boolean |
None. |
|
| QRCodeImage | string |
String length: inclusive between 0 and 8000 |
|
| SurveyCompleted | boolean |
None. |
|
| IsQuestionnaireProcessed | boolean |
None. |
|
| ProcessedFailReason | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CompanyCode": "sample string 2",
"EmployeeEmail": "sample string 3",
"CaseNo": 4,
"SurveyId": "sample string 5",
"CollectorId": "sample string 6",
"CollectorType": "sample string 7",
"SurveyURL": "sample string 8",
"MessageId": "sample string 9",
"ReceiptId": "sample string 10",
"IsSent": true,
"SentDateTIme": "2026-08-04T14:26:44.9172294-07:00",
"ValidFlag": true,
"UserName": "sample string 12",
"SurveyLink": "sample string 13",
"SurveyCode": "sample string 14",
"IsSendEmail": true,
"QRCodeImage": "sample string 15",
"SurveyCompleted": true,
"IsQuestionnaireProcessed": true,
"ProcessedFailReason": "sample string 17"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfString| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | string |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": "sample string 3",
"totalCount": 4
}